function varargout = ModelB3(varargin)
% MODELB3 M-file for ModelB3.fig
%      MODELB3, by itself, creates a new MODELB3 or raises the existing
%      singleton*.
%
%      H = MODELB3 returns the handle to a new MODELB3 or the handle to
%      the existing singleton*.
%
%      MODELB3('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in MODELB3.M with the given input arguments.
%
%      MODELB3('Property','Value',...) creates a new MODELB3 or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before ModelB3_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to ModelB3_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help ModelB3

% Last Modified by GUIDE v2.5 21-Oct-2012 16:59:08

% Copyright 2012 The MathWorks, Inc.

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @ModelB3_OpeningFcn, ...
    'gui_OutputFcn',  @ModelB3_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT



% --- Executes just before ModelB3 is made visible.
function ModelB3_OpeningFcn(hObject, eventdata, handles, varargin) %#ok<*INUSL>
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to ModelB3 (see VARARGIN)

% Choose default command line output for ModelB3
handles.output = hObject;

% Create default plot
% set(handles.axData, 'Box', 'on');
% view(handles.axData, 2)
% xlabel(handles.axData,'t','fontsize',15,'fontweight','b')
% ylabel(handles.axData,'Total Creep  J','fontsize',15,'fontweight','b')


% Update handles structure
guidata(hObject, handles);

% UIWAIT makes ModelB3 wait for user response (see UIRESUME)
% uiwait(handles.figure1);

% Center GUI on screen
movegui(hObject, 'center')



% --- Outputs from this function are returned to the command line.
function varargout = ModelB3_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;



% --- Executes on button press in pbLoadData.
function pbLoadData_Callback(hObject, eventdata, handles) %#ok<*DEFNU>
% hObject    handle to pbLoadData (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

[filename, pathname] = uigetfile('*.xls;*.xlsm;*.xlsx', 'Select data file');
if ~isequal(filename, 0)
    handles.data = importfile(fullfile(pathname, filename));
    set(handles.lbplot,         'Enable', 'on')
    set(handles.lbStat,         'Enable', 'off')
    set(handles.lbNumData,      'Enable', 'off')
    set(handles.pbLHS,          'Enable', 'on')
    set(handles.edTime,         'Enable', 'off')
    set(handles.lbCI,           'Enable', 'off')
    set(handles.pbPredictJ,     'Enable', 'off')
    set(handles.txtJ,           'String', '')
    
    cla(handles.axData)
    clc  

    updatePlot(handles)
    guidata(hObject, handles)  
end

function dataByColumn = importfile(fileToRead)

sheetName = 'Sheet1';
[numbers, strings] = xlsread(fileToRead, sheetName);
if ~isempty(numbers)
    newData.data = numbers;
end
if ~isempty(strings)
    newData.textdata = strings;
end

colheaders = genvarname(newData.textdata);
for i = 1:length(colheaders)
    dataByColumn.(colheaders{i}) = newData.data(:, i);
end


function updatePlot(handles)
fc = handles.data.fc;
wc = handles.data.wc;
c = handles.data.c;
ac= handles.data.ac;
D = handles.data.D;
h = handles.data.h;
w = handles.data.w;
to = handles.data.to;
tp = handles.data.tp;
Cement = handles.data.Cement;
Curing = handles.data.Curing;
Geometry = handles.data.Geometry;


%Initialize B3 Parameters
[q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,c,ac,w,to,D,h,Cement,Curing,Geometry);
%Specifying time duration // t-t' = (tmin, tmax)
tmin=0.001; %0.0001 days[q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]
tmax=100000; %100000 days

%Specifying time at loading // t'
tload=[tp,10,100,1000,5000];
logt=logspace(-3,5,300);

%Plot selection, if this val2 is 0, only single plot is presented
val2=get(handles.cbCompare,'Value');
if val2 == 0
    idx=1;
else
    idx=5;
end

%Generate Plots
val = get(handles.lbplot, 'Value');

switch val
case 1 
    for j=1:idx
    for i=1:size(logt,2)
        B3(i,j)=q1+Jbasic(logt(i),tload(j),q2,q3,q4)+...
                Jdry(logt(i),tload(j),to,q5,kt,ks,D,h);
    end  
    end
  handles.plot=semilogx(handles.axData, logt, B3); 
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{J (t , t_p)} (10^{  - 6}/psi)',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 100000])
  set(handles.txtPlotOptions, 'String', 'J tot');
  set(handles.txtTime, 'String', 't-tp');
  
case 2 
    for j=1:idx
    lint=[linspace(tload(j),tload(j)+10,100),...
          linspace(tload(j)+11,tload(j)+1000,200),...
          linspace(tload(j)+1001,tload(j)+100000,100)];
    insJ(j) = (q1+Jbasic(0.01,tload(j),q2,q3,q4)+...
                Jdry(0.01,tload(j),to,q5,kt,ks,D,h));
    insJ_t(j) = tload(j)+0.01;
    for i=2:size(lint,2)
    B3_lin(i,j)=q1+Jbasic(lint(i)-tload(j),tload(j),q2,q3,q4)+...
                Jdry(lint(i)-tload(j),tload(j),to,q5,kt,ks,D,h);
    time_lin(:,j)=lint';
    end  
    end
    
    lint=[linspace(min(tload),100,100),...
          linspace(101,1000,200),...
          linspace(1001,100000,100)];
    
    for j=1:size(lint,2)
    insJ(j) = (q1+Jbasic(0.01,lint(j),q2,q3,q4)+...
                Jdry(0.01,lint(j),to,q5,kt,ks,D,h));
    insJ_t(j) = lint(j)+0.01;
    end
    
   handles.plot=plot(handles.axData, time_lin, B3_lin, insJ_t, insJ);
  xlabel(handles.axData,'t',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{J (t , t_p)} [10^{  - 6}/psi]',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 15000])
  set(handles.txtPlotOptions, 'String', 'J tot');  
  set(handles.txtTime, 'String', 't-tp');
  
case 3 
    for j=1:idx
    lint=[linspace(tload(j),tload(j)+10,100),...
          linspace(tload(j)+11,tload(j)+1000,200),...
          linspace(tload(j)+1001,tload(j)+100000,100)];
    for i=2:size(lint,2)
    B3_lin(i,j)=q1+Jbasic(lint(i)-tload(j),tload(j),q2,q3,q4)+...
                Jdry(lint(i)-tload(j),tload(j),to,q5,kt,ks,D,h);
    time_lin(:,j)=lint';
    end  
    end
    
    
        lint=[linspace(min(tload),100,100),...
          linspace(101,1000,200),...
          linspace(1001,100000,100)];
    for j=2:size(lint,2)
    insJ(j) = (q1+Jbasic(0.01,lint(j),q2,q3,q4)+...
                Jdry(0.01,lint(j),to,q5,kt,ks,D,h));
    insJ_t(j) = lint(j)+0.01;
    end
  
  handles.plot=semilogx(handles.axData, time_lin, B3_lin, insJ_t, insJ);
  xlabel(handles.axData,'t',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{J (t , t_p)} [10^{  - 6}/psi]',...
      'fontsize',15,'fontweight','b')
  xlim([log10(min(tload)), 100000])
  set(handles.txtPlotOptions, 'String', 'J tot');
  set(handles.txtTime, 'String', 't-tp');

  case 4
    for j=1:idx
        E0 = 1/(q1+Jbasic(0.001,tload(j),q2,q3,q4));
            for i=1:size(logt,2)
                  phi(i,j) = E0*(q1+Jbasic(logt(i),tload(j),q2,q3,q4))-1;
            end
    end
      
  handles.plot=semilogx(handles.axData, logt, phi);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{\phi (t , t_p)}',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 100000])
  set(handles.txtPlotOptions, 'String', 'Phi');
  set(handles.txtTime, 'String', 't-tp');
  
case 5 
    for j=1:idx
    [tdur,R,phi,chi,chiphi,AAEM]=Relaxation(tmin,tmax,tload(j),q1,q2,q3,q4);
    RES(:,j)=R';
    time(:,j)=tdur';
    end
   
  handles.plot=semilogx(handles.axData, time, RES);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{R (t , t_p) [10^{6} psi]}',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 100000])
  set(handles.txtPlotOptions, 'String', 'R');
  set(handles.txtTime, 'String', 't-tp');
  
case 6
    for j=1:idx
    [tdur,R,phi,chi,chiphi,AAEM]=Relaxation(tmin,tmax,tload(j),q1,q2,q3,q4);
    RES(:,j)=chi';
    time(:,j)=tdur';
    end
  handles.plot=semilogx(handles.axData, time, RES);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{\chi (t , t_p)}',...
      'fontsize',15,'fontweight','b')
  axis([0.01 100000 0 1])
  set(handles.txtPlotOptions, 'String', 'Chi');
  set(handles.txtTime, 'String', 't-tp');
  
case 7
    for j=1:idx
    [tdur,R,phi,chi,chiphi,AAEM]=Relaxation(tmin,tmax,tload(j),q1,q2,q3,q4);
    RES(:,j)=chiphi';
    time(:,j)=tdur';
    end
   
  handles.plot=semilogx(handles.axData, time, RES);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{\chi\phi (t , t_p)}',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 100000])
  set(handles.txtPlotOptions, 'String', 'ChiPhi');
  set(handles.txtTime, 'String', 't-tp');
       
case 8
    for j=1:idx
    [tdur,R,phi,chi,chiphi,AAEM]=Relaxation(tmin,tmax,tload(j),q1,q2,q3,q4);
    RES(:,j)=AAEM';
    time(:,j)=tdur';
    end
  
  handles.plot=semilogx(handles.axData, time, RES);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{E''(t , t_p) [10^{6} psi]}',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 100000])
  set(handles.txtPlotOptions, 'String', 'AAEM');
  set(handles.txtTime, 'String', 't-tp');

case 9
    for j=1:idx
    for i=1:size(logt,2)
    J_prime(i,j) = dJdt(logt(i),tload(j),to,q1,q2,q3,q4,q5,kt,ks,D,h);
    time_rate(:,j)=logt'+ tload(j);
    end
    end

  handles.plot=loglog(handles.axData, time_rate, J_prime);
  xlabel(handles.axData,'t',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'\partial J/ \partial t',...
      'fontsize',15,'fontweight','b')
  xlim([0, 100000])
  set(handles.txtPlotOptions, 'String', 'J rate');
  set(handles.txtTime, 'String', 't-tp');

case 10 
    for j=1:idx   
     humid = [h,0.6,0.7,0.8,0.9];
     [~,~,~,~,~,~,~,epshin,kh,tsh,~]=B3parameter('us',fc,wc,...
         c,ac,w,to,D,humid(j),Cement,Curing,Geometry);

    for i=1:size(logt,2)
          sh(i,j)=shrinkage(logt(i),to,epshin,kh,tsh);
    end  
    end
  handles.plot=semilogx(handles.axData, logt, sh); 
    xlabel(handles.axData,'t - t_0',...
      'fontsize',15,'fontweight','b')
    ylabel(handles.axData,'{\epsilon_{sh} (t , t_p, t_0)} [10^{  - 6}]',...
      'fontsize',15,'fontweight','b')
  xlim([0.01 100000])
  set(handles.txtPlotOptions, 'String', 'Eps');
  set(handles.txtTime, 'String', 't-t_0');
  
case 11
    for j=1:idx
      thick= [D, 0.25*D, 0.5*D, 2*D, 4*D];
         [~,~,~,~,~,~,~,epshin,kh,tsh,~]=B3parameter('us',fc,wc,...
         c,ac,w,to,thick(j),h,Cement,Curing,Geometry);

    for i=1:size(logt,2)
         sh(i,j)=shrinkage(logt(i),to,epshin,kh,tsh);
    end  
    end
    handles.plot=semilogx(handles.axData, logt, sh); 
    xlabel(handles.axData,'t - t_0',...
      'fontsize',15,'fontweight','b')
    ylabel(handles.axData,'{\epsilon_{sh} (t , t_p, t_0)} [10^{  - 6}]',...
      'fontsize',15,'fontweight','b')
    xlim([0.01 100000])
    set(handles.txtPlotOptions, 'String', 'Eps');
    set(handles.txtTime, 'String','t-t_0');

case 12
    for j=1:idx
          humid = [h,0.6,0.7,0.8,0.9];
            [~,~,~,~,q5,kt,~,~,~,~,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,humid(j),Cement,Curing,Geometry);   
        
    for i=1:size(logt,2)
       B3(i,j) = Jdry(logt(i),tp,to,q5,kt,ks,D,humid(j)); 
    end  
    end
    handles.plot=semilogx(handles.axData, logt, B3); 
    xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
    ylabel(handles.axData,'{J_{dry} (t , t_p)} [10^{  - 6}/psi]',...
      'fontsize',15,'fontweight','b')
    xlim([0.01 100000])
    set(handles.txtPlotOptions, 'String', 'J dry');
    set(handles.txtTime, 'String', 't-tp'); 

case 13
    for j=1:idx
         thick= [D, 0.25*D, 0.5*D, 2*D, 4*D];
            [~,~,~,~,q5,kt,h,~,~,~,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,thick(j),h,Cement,Curing,Geometry); 
    for i=1:size(logt,2)
       B3(i,j) = Jdry(logt(i),tp,to,q5,kt,ks,thick(j),h); 
    end  
    end
    handles.plot=semilogx(handles.axData, logt, B3); 
    xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
    ylabel(handles.axData,'{J_{dry} (t , t_p)} [10^{  - 6}/psi]',...
      'fontsize',15,'fontweight','b')
    xlim([0.01 100000])
    set(handles.txtPlotOptions, 'String', 'J dry');
    set(handles.txtTime, 'String', 't-tp');
end
  
if val2 == 0
    set(handles.plot(1),'Color','k','LineStyle','-','LineWidth',3)
    legend([' ' num2str(tload(1)) ' days'])
   if val == 2
       set(handles.plot(2),'visible','off')
   elseif val == 3
       set(handles.plot(2),'visible','off')
   end
else
    if val == 2
    set(handles.plot(1),'Color','k','LineStyle','-','LineWidth',2.5)
    set(handles.plot(2),'Color',[0,0.4,0.5],'LineStyle','--','LineWidth',2.5)  
    set(handles.plot(3),'Color',[0.5,0,0.5],'LineStyle',':','LineWidth',2.5)
    set(handles.plot(4),'Color',[0.9,0.2,0.1],'LineStyle','-.','LineWidth',2.5)
    set(handles.plot(5),'Color',[0.2,0,0.8],'LineStyle','--','LineWidth',2.5)    
    set(handles.plot(6),'Color','r','LineStyle','-','LineWidth',2) 
    set(gca,'fontsize',20)

      
    legend([' ' num2str(tload(1)) ' days'],...
           [' ' num2str(tload(2)) ' days'],...
           [' ' num2str(tload(3)) ' days'],...
           [' ' num2str(tload(4)) ' days'],...
           [' ' num2str(tload(5)) ' days'],...
           'Inst. Compliance',...
           'Location','NorthWest');
    elseif val ==3 
    set(handles.plot(1),'Color','k','LineStyle','-','LineWidth',2.5)
    set(handles.plot(2),'Color',[0,0.4,0.5],'LineStyle','--','LineWidth',2.5)  
    set(handles.plot(3),'Color',[0.5,0,0.5],'LineStyle',':','LineWidth',2.5)
    set(handles.plot(4),'Color',[0.9,0.2,0.1],'LineStyle','-.','LineWidth',2.5)
    set(handles.plot(5),'Color',[0.2,0,0.8],'LineStyle','--','LineWidth',2.5)    
    set(handles.plot(6),'Color','r','LineStyle','-','LineWidth',2) 
    set(gca,'fontsize',20)
    
      
    legend([' ' num2str(tload(1)) ' days'],...
           [' ' num2str(tload(2)) ' days'],...
           [' ' num2str(tload(3)) ' days'],...
           [' ' num2str(tload(4)) ' days'],...
           [' ' num2str(tload(5)) ' days'],...
           'Inst. Compliance',...
           'Location','NorthWest');
    else 
    set(handles.plot(1),'Color','k','LineStyle','-','LineWidth',2.5)
    set(handles.plot(2),'Color',[0,0.4,0.5],'LineStyle','--','LineWidth',2.5)  
    set(handles.plot(3),'Color',[0.5,0,0.5],'LineStyle',':','LineWidth',2.5)
    set(handles.plot(4),'Color',[0.9,0.2,0.1],'LineStyle','-.','LineWidth',2.5)
    set(handles.plot(5),'Color',[0.2,0,0.8],'LineStyle','--','LineWidth',2.5)  
    set(gca,'fontsize',20)
      
    legend([' ' num2str(tload(1)) ' days'],...
           [' ' num2str(tload(2)) ' days'],...
           [' ' num2str(tload(3)) ' days'],...
           [' ' num2str(tload(4)) ' days'],...
           [' ' num2str(tload(5)) ' days'],...
           'Location','NorthWest');
    end
end
    
set(handles.edTime,        'Enable', 'on'); 
set(handles.lbCI,          'Enable', 'on'); 
set(handles.txtJ,          'Enable', 'on'); 
set(handles.pbPredictJ,    'Enable', 'on');
set(handles.lbStat,        'Enable', 'off');
set(handles.lbNumData,     'Enable', 'off');




% --- Executes on button press in pbPredictJ.
function pbPredictJ_Callback(hObject, eventdata, handles)
% % hObject    handle to pbPredictJ (see GCBO)
% % eventdata  reserved - to be defined in a future version of MATLAB
% % handles    structure with handles and user data (see GUIDATA)
% 
% % if isempty(handles.model)
% %     return
% % end
% 
% 
fc = handles.data.fc;
wc = handles.data.wc;
c = handles.data.c;
ac= handles.data.ac;
D = handles.data.D;
h = handles.data.h;
w = handles.data.w;
to = handles.data.to;
tp = handles.data.tp;
Cement = handles.data.Cement;
Curing = handles.data.Curing;
Geometry = handles.data.Geometry;

tdur = str2double(get(handles.edTime, 'String'));

tload1=[tp,1,10,100,1000,5000]; %age at loading
tload2=[tdur,0.01, 0.1, 1, 10, 100, 1000, 50000]; %duration of loading
  
     

val5 = get(handles.lbCI,'Value');
switch val5
    case 1
        z = 1.96;
    case 2
        z = 1.64;
    case 3
        z = 1.28;
end 

% Display corresponding plot values on the screen
val = get(handles.lbplot, 'Value');
switch val
    case 1 
        sd = 0.03;
        [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);
        
        for i=1:size(tload1,2)
           for j =1:size(tload2,2)
               B3(i,j)=q1+Jbasic(tload2(j),tload1(i),q2,q3,q4)+...
                       Jdry(tload2(j),tload1(i),to,q5,kt,ks,D,h);
           end
        end
     
        UL=B3(1,1)+sd*z;
        LL=B3(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',B3(1,1),LL,UL))
        dlmwrite('B3tot.txt', B3, 'delimiter', '\t', ...
         'precision', 4)
     
    case 2
        sd = 0.03;
        [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);
        
        for i=1:size(tload1,2)
           for j =1:size(tload2,2)
               B3(i,j)=q1+Jbasic(tload2(j),tload1(i),q2,q3,q4)+...
                       Jdry(tload2(j),tload1(i),to,q5,kt,ks,D,h);
           end
        end        
        
        UL=B3(1,1)+sd*z;
        LL=B3(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',B3(1,1),LL,UL))
        dlmwrite('B3tot.txt', B3, 'delimiter', '\t', ...
        'precision', 4)
          
    case 3
        sd = 0.03;
        [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);
        
        for i=1:size(tload1,2)
           for j =1:size(tload2,2)
               B3(i,j)=q1+Jbasic(tload2(j),tload1(i),q2,q3,q4)+...
                       Jdry(tload2(j),tload1(i),to,q5,kt,ks,D,h);
           end
        end        
        
        UL=B3(1,1)+sd*z;
        LL=B3(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',B3(1,1),LL,UL))
        dlmwrite('B3tot.txt', B3, 'delimiter', '\t', ...
        'precision', 4)        
        
    case 4  
        sd = 0.03;
        [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);        
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2)         
          [~,R2,phi2,chi2,chiphi2,AAEM2,loc2]=Relaxation(tload2(j),70000,tload1(i),q1,q2,q3,q4);
            A(i,j)=phi2(loc2);
            end
        end
         
        UL=A(1,1)+sd*z;
        LL=A(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',A(1,1),LL,UL))
        dlmwrite('Phi.txt', A, 'delimiter', '\t', ...
        'precision', 4) 
    
    case 5
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);        
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2)         
          [~,R2,phi2,chi2,chiphi2,AAEM2,loc2]=Relaxation(tload2(j),70000,tload1(i),q1,q2,q3,q4);
            B(i,j)=R2(loc2);
            end
        end

        UL=B(1,1)+sd*z;
        LL=B(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',B(1,1),LL,UL))
        dlmwrite('R.txt', B, 'delimiter', '\t', ...
        'precision', 4)
        
    case 6
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);        
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2)         
          [~,R2,phi2,chi2,chiphi2,AAEM2,loc2]=Relaxation(tload2(j),70000,tload1(i),q1,q2,q3,q4);
            C(i,j)=chi2(loc2);
            end
        end
        UL=C(1,1)+sd*z;
        LL=C(1,2)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',C(1,1),LL,UL))
        dlmwrite('Chi.txt', C, 'delimiter', '\t', ...
        'precision', 4)
    
    case 7
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);        
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2)         
          [~,R2,phi2,chi2,chiphi2,AAEM2,loc2]=Relaxation(tload2(j),70000,tload1(i),q1,q2,q3,q4);
            F(i,j)=chiphi2(loc2);
            end
        end           
        UL=F(1,1)+sd*z;
        LL=F(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',F(1,1),LL,UL))
        dlmwrite('ChiPhi.txt', F, 'delimiter', '\t', ...
         'precision', 4)
     
    case 8
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);        
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2)         
          [~,R2,phi2,chi2,chiphi2,AAEM2,loc2]=Relaxation(tload2(j),70000,tload1(i),q1,q2,q3,q4);
            G(i,j)=AAEM2(loc2);
            end
        end        
        
        UL=G(1,1)+sd*z;
        LL=G(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',G(1,1),LL,UL))
        dlmwrite('AAEM.txt', G, 'delimiter', '\t', ...
         'precision', 4)
   
    case 9
         sd = 0.0001; 
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry);        
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2)         
               J_prime(i,j) = dJdt(tload2(j),tload1(i),to,q1,q2,q3,q4,q5,kt,ks,D,h);
            end
        end   
        
        UL=J_prime(1,1)+sd*z;
        LL=J_prime(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.3g (%0.3g, %0.3g)',J_prime(1,1),LL,UL))
        dlmwrite('Jrate.txt', J_prime, 'delimiter', '\t', ...
         'precision', 4)
     
   

    case 10
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry); 
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2) 
              sh(i,j)=shrinkage(tload2(j),tload1(i),epshin,kh,tsh);
            end
        end

        UL=sh(1,1)+sd*z;
        LL=sh(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',sh(1,1),LL,UL))
        dlmwrite('shrinkage.txt', sh, 'delimiter', '\t', ...
         'precision', 4)

        
    case 11
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry); 
        
        for i=1:size(tload1,2)
            for j =1:size(tload2,2) 
              sh(i,j)=shrinkage(tload2(j),tload1(i),epshin,kh,tsh);
            end
        end
        UL=sh(1,1)+sd*z;
        LL=sh(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',sh(1,1),LL,UL))
        dlmwrite('shrinkage.txt', sh, 'delimiter', '\t', ...
         'precision', 4)
           
    case 12
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry); 
        
        for i=1:size(tload1,2)
             for j =1:size(tload2,2) 
               B3dry(i,j)=Jdry(tload2(j),tload1(i),to,q5,kt,ks,D,h);
             end
        end
        UL=B3dry(1,1)+sd*z;
        LL=B3dry(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',B3dry(1,1),LL,UL))
        dlmwrite('B3dry.txt', B3dry, 'delimiter', '\t', ...
         'precision', 4)
    
        
    case 13
         sd = 0.03;
         [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,...
            c,ac,w,to,D,h,Cement,Curing,Geometry); 
        
        for i=1:size(tload1,2)
             for j =1:size(tload2,2) 
               B3dry(i,j)=Jdry(tload2(j),tload1(i),to,q5,kt,ks,D,h);
             end
        end
        UL=B3dry(1,1)+sd*z;
        LL=B3dry(1,1)-sd*z;
        set(handles.txtJ, 'String',sprintf('%0.4f (%0.4f, %0.4f)',B3dry(1,1),LL,UL))
        dlmwrite('B3dry.txt', B3dry, 'delimiter', '\t', ...
         'precision', 4)
   
end


function edTime_Callback(hObject, eventdata, handles) %#ok<*INUSD>
% hObject    handle to edTime (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edTime as text
%        str2double(get(hObject,'String')) returns contents of edTime as a double



% --- Executes during object creation, after setting all properties.
function edTime_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edTime (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in lbStat.
function lbStat_Callback(hObject, eventdata, handles)
% hObject    handle to lbStat (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns lbStat contents as cell array
%        contents{get(hObject,'Value')} returns selected item from lbStat
cla(handles.axData)
updatePlot2(handles)



% --- Executes during object creation, after setting all properties.
function lbStat_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lbStat (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes on selection change in lbNumData.
function lbNumData_Callback(hObject, eventdata, handles)
% hObject    handle to lbNumData (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns lbNumData contents as cell array
%        contents{get(hObject,'Value')} returns selected item from lbNumData

cla(handles.axData)
updatePlot2(handles);



% --- Executes during object creation, after setting all properties.
function lbNumData_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lbNumData (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function pbLoadData_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to pbLoadData (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on selection change in lbplot.
function lbplot_Callback(hObject, eventdata, handles)
% hObject    handle to lbplot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns 
%plot contents as cell array
%        contents{get(hObject,'Value')} returns selected item from lbplot

cla(handles.axData);
updatePlot(handles);
val = get(handles.lbplot, 'Value');
if val==1
set(handles.pbLoadData2,   'Enable', 'on');
else
set(handles.pbLoadData2,   'Enable', 'off');
end


% --- Executes during object creation, after setting all properties.
function lbplot_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lbplot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pbLoadData2.
function pbLoadData2_Callback(hObject, eventdata, handles)
% hObject    handle to pbLoadData2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
[filename, pathname] = uigetfile('*.xls;*.xlsm;*.xlsx', 'Select data file');
if ~isequal(filename, 0)
    handles.data2 = importfile(fullfile(pathname, filename));
    set(handles.lbplot,         'Enable', 'on')
    set(handles.lbStat,         'Enable', 'on')
    set(handles.lbNumData,      'Enable', 'on')
    set(handles.pbLHS,          'Enable', 'on')
    set(handles.edTime,         'Enable', 'on')
    set(handles.lbCI,           'Enable', 'on')
    set(handles.pbPredictJ,     'Enable', 'on')
    set(handles.txtJ,           'String', '')

    
    cla(handles.axData)
    clc

    data_t= handles.data2.data_t;
    n = size(data_t,1);
    set(handles.lbNumData, 'String', 1:n);


    
    updatePlot2(handles)
    guidata(hObject, handles)  
end

function updatePlot2(handles)
fc = handles.data.fc;
wc = handles.data.wc;
c  = handles.data.c;
ac = handles.data.ac;
D = handles.data.D;
h = handles.data.h;
w = handles.data.w;
tp = handles.data.tp;
to = handles.data.to;
Cement = handles.data.Cement;
Curing = handles.data.Curing;
Geometry = handles.data.Geometry;
data_t= handles.data2.data_t;
data_J= handles.data2.data_J;
data_dur_sh= handles.data2.tdur;
data_sh= handles.data2.sh;
data_dur= handles.data2.tdur_w;
data_delw= handles.data2.delw;


selectedData=get(handles.lbNumData,'Value');

[q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter('us',fc,wc,c,ac,w,to,D,h,Cement,Curing,Geometry);
logt=logspace(-3,5,200);


val2=get(handles.lbStat, 'Value');

switch val2
    case 1
       
 for i=1:size(data_t,1)
     tt=data_t(i);
     data_xi(i)=Jbasic(tt,tp,q2,q3,q4)+...
                Jdry(tt,tp,to,q5,kt,ks,D,h);
 end


 for i=1:200
    B3(i)=q1+Jbasic(logt(i),tp,q2,q3,q4)+...
          Jdry(logt(i),tp,to,q5,kt,ks,D,h); 
    [p1,p2]=shorttime(selectedData,data_xi,data_J);
    imp(i)=p1+p2*(Jbasic(logt(i),tp,q2,q3,q4)+...
          Jdry(logt(i),tp,to,q5,kt,ks,D,h));    
    t33(i) = logt(i);
 end
idx = le(data_t, data_t(selectedData)); %Must be increasing order
data_t1 = data_t(idx);
data_J1 = data_J(idx);
idx2 = ~ismember(data_t,data_t1) & ~ismember(data_J,data_J1);
data_t2 = data_t(idx2);
data_J2 = data_J(idx2);

  handles.plot2=semilogx(handles.axData, t33, B3, t33, imp, data_t1,data_J1,...
      data_t2,data_J2);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{J (t , t_p)} (10^{  - 6}/psi)',...
      'fontsize',15,'fontweight','b')
 
 if selectedData == size(data_t,1)
  set(handles.plot2(1),'Color','k','LineStyle','-','LineWidth',2)
  set(handles.plot2(2),'Color','r','LineStyle','--','LineWidth',2)
  set(handles.plot2(3),'Color',[0.5,0,0.5],'Marker','o','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5) 
  set(gca,'fontsize',20)
      legend('Before Improvement',...
                'After Improvement',...
               ['All ' num2str(selectedData) ' Used Data'],...
               'Location','NorthWest');

  xlim([0.01,10^5])
 else
  set(handles.plot2(1),'Color','k','LineStyle','-','LineWidth',2)
  set(handles.plot2(2),'Color','r','LineStyle','--','LineWidth',2)
  set(handles.plot2(3),'Color',[0.5,0,0.5],'Marker','o','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5)  
  set(handles.plot2(4),'Color',[0.5,0,0.5],'Marker','+','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5)
  set(gca,'fontsize',20)
     legend('Before Improvement',...
            'After Improvement',...
           [' ' num2str(selectedData) ' Used Data'],...
           [' ' num2str(size(data_t,1)-selectedData) ' Not Used Data'],...
           'Location','NorthWest');
  xlim([0.01,10^5])
 end

    case 2
 for i=1:size(data_t,1)
     tt=data_t(i);
     data_xi(i)=Jbasic(tt,tp,q2,q3,q4);
 end
 for i=1:200
    B3(i)=q1+Jbasic(logt(i),tp,q2,q3,q4)+...
          Jdry(logt(i),tp,to,q5,kt,ks,D,h);
    [p]=bay(Jbasic(logt(i),tp,q2,q3,q4),selectedData,data_xi,data_J,3,0.24);
    Bayesian(i)=p(1)+p(2)*(Jbasic(logt(i),tp,q2,q3,q4)+...
          Jdry(logt(i),tp,to,q5,kt,ks,D,h));  
    t33(i) = logt(i); 
end

idx = le(data_t, data_t(selectedData)); %Must be increasing order
data_t1 = data_t(idx);
data_J1 = data_J(idx);
idx2 = ~ismember(data_t,data_t1) & ~ismember(data_J,data_J1);
data_t2 = data_t(idx2);
data_J2 = data_J(idx2);
 
  handles.plot2=semilogx(handles.axData, t33, B3, t33, Bayesian, data_t1,data_J1,...
      data_t2,data_J2);
  xlabel(handles.axData,'t - t_p',...
      'fontsize',15,'fontweight','b')
  ylabel(handles.axData,'{J (t , t_p)} (10^{  - 6}/psi)',...
      'fontsize',15,'fontweight','b')

 if selectedData == size(data_t,1)
  set(handles.plot2(1),'Color','k','LineStyle','-','LineWidth',2)
  set(handles.plot2(2),'Color','r','LineStyle','--','LineWidth',2)
  set(handles.plot2(3),'Color',[0.5,0,0.5],'Marker','o','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5) 
  set(gca,'fontsize',20)
      legend('Before Improvement',...
                'After Improvement',...
               ['All ' num2str(selectedData) ' Used Data'],...
               'Location','NorthWest');
  xlim([0.01,10^5])         
 else
  set(handles.plot2(1),'Color','k','LineStyle','-','LineWidth',2)
  set(handles.plot2(2),'Color','r','LineStyle','--','LineWidth',2)
  set(handles.plot2(3),'Color',[0.5,0,0.5],'Marker','o','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5)  
  set(handles.plot2(4),'Color',[0.5,0,0.5],'Marker','+','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5)
  set(gca,'fontsize',20)
     legend('Before Improvement',...
            'After Improvement',...
           [' ' num2str(selectedData) ' Used Data'],...
           [' ' num2str(size(data_t,1)-selectedData) ' Not Used Data'],...
           'Location','NorthWest');
  xlim([0.01,10^5])
 end
 
  case 3    
     for i=1:200
     sh(i) = shrinkage(logt(i),to,epshin,kh,tsh);
     [p6,ntsh] = sh_update(data_dur,data_delw,data_dur_sh,data_sh,to,epshin,kh,h,1,selectedData);
     imp_sh(i)=p6*shrinkage(logt(i),to,epshin,kh,ntsh);
     t33(i) = logt(i); 
     end
  
  idx = le(data_dur_sh, data_dur_sh(selectedData)); %Must be increasing order
  data_t1 = data_dur_sh(idx);
  data_J1 = data_sh(idx);
  idx2 = ~ismember(data_dur_sh,data_t1) & ~ismember(data_sh,data_J1);
  data_t2 = data_dur_sh(idx2);
  data_J2 = data_sh(idx2);

   handles.plot2=semilogx(handles.axData, t33, sh, t33, imp_sh, data_t1,data_J1,...
      data_t2,data_J2);  
      xlabel(handles.axData,'t - t_0',...
      'fontsize',15,'fontweight','b')
    ylabel(handles.axData,'{\epsilon_{sh} (t , t_p, t_0)} [10^{  - 6}]',...
      'fontsize',15,'fontweight','b')
   
  if selectedData == size(data_dur_sh,1)
  set(handles.plot2(1),'Color','k','LineStyle','-','LineWidth',2)
  set(handles.plot2(2),'Color','r','LineStyle','--','LineWidth',2)
  set(handles.plot2(3),'Color',[0.5,0,0.5],'Marker','o','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5) 
  set(gca,'fontsize',20)
      legend('Before Improvement',...
                'After Improvement',...
               ['All ' num2str(selectedData) ' Used Data'],...
               'Location','NorthWest');
  xlim([0.01,10^5])
 else
  set(handles.plot2(1),'Color','k','LineStyle','-','LineWidth',2)
  set(handles.plot2(2),'Color','r','LineStyle','--','LineWidth',2)
  set(handles.plot2(3),'Color',[0.5,0,0.5],'Marker','o','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5)  
  set(handles.plot2(4),'Color',[0.5,0,0.5],'Marker','+','MarkerSize',10,...
      'LineStyle','none','LineWidth',1.5)
  set(gca,'fontsize',20)
     legend('Before Improvement',...
            'After Improvement',...
           [' ' num2str(selectedData) ' Used Data'],...
           [' ' num2str(size(data_t,1)-selectedData) ' Not Used Data'],...
           'Location','NorthWest');
  xlim([0.01,10^5])
 end
  
end
 clc
 clear 

% --- Executes during object creation, after setting all properties.
function pbLoadData_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pbLoadData (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes on button press in cbCompare.
function cbCompare_Callback(hObject, eventdata, handles)
% hObject    handle to cbCompare (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of cbCompare
    cla(handles.axData)

    updatePlot(handles)
    guidata(hObject, handles) 



% --- Executes during object creation, after setting all properties.
function txtPlotOptions_CreateFcn(hObject, eventdata, handles)
% hObject    handle to txtPlotOptions (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes on selection change in lbCI.
function lbCI_Callback(hObject, eventdata, handles)
% hObject    handle to lbCI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns lbCI contents as cell array
%        contents{get(hObject,'Value')} returns selected item from lbCI


% --- Executes during object creation, after setting all properties.
function lbCI_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lbCI (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pbLHS.
function pbLHS_Callback(hObject, eventdata, handles)
% hObject    handle to pbLHS (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
fc = handles.data.fc;
wc = handles.data.wc;
c  = handles.data.c;
ac = handles.data.ac;
D = handles.data.D;
h = handles.data.h;
w = handles.data.w;
tp = handles.data.tp;
to = handles.data.to;

t1=get(handles.edTime,'Value');

[q1,q2,q3,q4,q5,kt,h,epshin,~,tsh]=B3parameter('us',fc,wc,c,ac,w,to,D,h,1,2,1);


fid = fopen('LHS.txt','w');
fprintf(fid,'%5s %5s %6s %6s %6s %6s %6s %7s %7s\n',...
       'q1','q2','q3','q4','q5','h','kt','eps','J');
n=10;   

q1_new = lhs(q1,0.2*q1,n,1);
q2_new = lhs(q2,0.2*q2,n,1);
q3_new = lhs(q3,0.2*q3,n,1);
q4_new = lhs(q4,0.2*q4,n,1);
q5_new = lhs(q5,0.2*q5,n,1);
kt_new = lhs(kt,0.2*kt,n,1);
h_new = lhs(h,0.2*h,n,2);
epshin_new = lhs(epshin,0.2*epshin,n,1);
   for i=1:n
       J_lhs(i)=q1_new(i)+Jbasic(t1,tp,q2_new(i),q3_new(i),q4_new(i))+...
         Jdry(t1,tp,to,q5_new(i),kt_new(i),ks,D,h_new(i));
       fprintf(fid,'%6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f %6.4f\n',...
       q1_new(i),q2_new(i),q3_new(i),q4_new(i),q5_new(i),h_new(i),kt_new(i),epshin_new(i),J_lhs(i));
   end
   
  fclose(fid);
  clc
  clear all


% --- Executes during object creation, after setting all properties.
function txtTime_CreateFcn(hObject, eventdata, handles)
% hObject    handle to txtTime (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
