function [tdur2,R2,phi2,chi2,chiphi2,AAEM2,loc2]=Relaxation(tmin,tmax,tp,q1,q2,q3,q4)

function dC = dJbasic(tdur,tp,q2,q3,q4)
t=tdur+tp;
dC = 0.1*(q2/sqrt(t)+q3)/(tdur+tdur^0.9) + (q4/t);
end

t_target=tmin;
dt0=0.001;
dtmax=tmax;
quot=10^(1/(log10(dtmax)-log10(dt0)));

R(1)=0;
R(2)=1/(q1+Jbasic(dt0,tp,q2,q3,q4));

tdur1(1)=0;
tdur1(2)=dt0; 
 
E0 = 1/(q1+Jbasic(0.001,tp,q2,q3,q4));
phi(1)=E0*(q1+Jbasic(tdur1(2),tp,q2,q3,q4))-1;
chi(1)=(E0/(E0-R(1)))-(1/phi(1));
chiphi(1)=phi(1)*chi(1);
AAEM(1)=E0/(1+chi(1)*phi(1));

k=2;

for i = 2:82
   tdur1(i+1) = tdur1(2)*quot^(i);  
end
tdur = sort([tdur1,t_target]);
[~,loc] = ismember(t_target,tdur);

 while k<=82
      tdur(k+1)=tdur(2)*quot^(k);
      tstar = sqrt(tdur(k+1)*tdur(k));
      JJ = q1+Jbasic(tdur(k+1)-tstar,tp+tstar,q2,q3,q4);
     
      
      E=1/JJ; 
      deps_creep=0;
    
        for i=1:k-1
       tdurmi=sqrt(tdur(i)*tdur(i+1));
       tdurmk=sqrt(tdur(k)*tdur(k+1));
       dJ=(tdur(k+1)-tdur(k))*dJbasic(tdurmk-tdurmi,tp+tdurmi,q2,q3,q4); 
       deps_creep=deps_creep+(dJ*(R(i+1)-R(i))); 
        end
       
       
    
    R(k+1)=R(k)-E*deps_creep;
    phi(k+1)=E0*(q1+Jbasic(tdur(k+1),tp,q2,q3,q4))-1;
    chi(k+1)=(E0/(E0-R(k+1)))-(1/phi(k+1));
    chiphi(k+1)=phi(k+1)*chi(k+1);
    AAEM(k+1)=E0/(1+chi(k+1)*phi(k+1));
   k=k+1; 
end


for j=1:80
tdur2(j)=tdur(j+2);
R2(j)=R(j+2);
phi2(j)=phi(j+2);
chi2(j)=chi(j+2);
chiphi2(j)=chiphi(j+2);
AAEM2(j)=AAEM(j+2);
end
loc2=loc-2;
end