function [p]=bay(Co,n,data_xi,data_J,Jp,w)

%===================================================================
%1. Co: basic creep compliance or it can be sum of basic and dryinc creep 
%2. n: number of data used in the update
%3. data_xi: Calculated value of Co(or Co+Cd) based on measured data points
%4. data_J: Measured values of compliance
%5. Jp: Prior mean of Jp, normally this value is initial guess unless real data is
%available. 
%6. w: CoV of prior distribution. Also initial guess unless real data is
%available. 
%===================================================================

sum_xi2=0;
sum_xi=0;
sum_xiJ=0;
sum_J=0;
sum_J2=0;

for i=1:n
sum_xi2=sum_xi2+data_xi(i)^2;
sum_xi=sum_xi+data_xi(i);
sum_xiJ=sum_xiJ+data_xi(i)*data_J(i);
sum_J=sum_J+data_J(i);
sum_J2=sum_J2+data_J(i)^2;
end


s=0.01; %std(data_J);

sp=w*Jp;
xi=Co; %add Cd if drying creep is included.


A=n/(2*s^2)+1/(2*sp^2);
B=sum_xi2/(2*s^2)+xi^2/(2*sp^2);
D=sum_xi/(2*s^2)+xi/(2*sp^2);
E=-sum_J/(2*s^2)-Jp/(2*sp^2);
F=-sum_xiJ/(2*s^2)-xi*Jp/(2*sp^2);
G=sum_J2/(2*s^2)+Jp^2/(2*sp^2);

[p]=[2*A 2*D;2*D 2*B]\[-2*E;-2*F]; 

end